View Issue Details

IDProjectCategoryView StatusLast Update
0019592RunnerFunctionsPublic2019-01-04 16:23
ReporterGameGeishaAssigned ToMike Dailly 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.1.4 
Target Version2.2.1Fixed in Version2.2.1 
Summary0019592: Functions: async_load[? 'status'] is wrong on a number of exports for when a request fails
DescriptionWhen a HTTP request fails, some exports incorrectly reports success through async_load[? 'status'] (i.e. giving it a value of 0). This can cause HTTP API integrations to attempt parsing failed responses instead of discarding them.
Steps To ReproduceAttached is an example that makes a request to a non-existent URL. I've tested on Windows, Android and HTML5 so far, and here are the results:

- On Windows, both http_get() and http_request() correctly reported -1 for failure.
- On Android, both http_get() and http_request() incorrectly reported 0 for success when the HTTP status code is 404.
- On HTML5, http_get() correctly reported -1 for failure, but http_request() incorrectly reported 0 for success.

I suspect similar abnormalities on other exports (especially Mac and iOS), but I haven't personally tested those yet.
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.1.4.218
2.x Runtime Verified In2.2.1.268

Activities

GameGeisha

2015-11-19 19:45

Updater  

AndroidHTTPStatus.gmz (19,071 bytes)

Dan

2015-11-25 11:05

Adminstrator   ~0040856

Will need to compile a full list of affected platforms.

Russell Kay

2018-06-14 16:31

Manager   ~0060328

I believe this is fixed... reopen if not

Stewart Bishop

2018-06-22 16:27

Developer   ~0060614

Reopening as the sample provided in the latest internal version still shows the issues in the original report

Stewart Bishop

2018-06-22 16:31

Developer  

Windows.png (11,030 bytes)
Windows.png (11,030 bytes)
Android.png (55,837 bytes)
Android.png (55,837 bytes)
HTML5.png (8,673 bytes)
HTML5.png (8,673 bytes)

Mike Dailly

2018-07-30 13:55

Developer   ~0060967

fixed on red